summarylogtreecommitdiffstats
path: root/test_in_rkt.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test_in_rkt.sh')
-rwxr-xr-xtest_in_rkt.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/test_in_rkt.sh b/test_in_rkt.sh
new file mode 100755
index 000000000000..c1e2a680a2f4
--- /dev/null
+++ b/test_in_rkt.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+set -ev
+
+rundir=$HOME/pkg
+
+mkdir -p $rundir
+
+cp -R /pkg/* $rundir/
+
+# sync dbs
+pacman --sync --refresh
+
+# install reasonbly fresh keyring so we can trust current maintainers
+pacman --noconfirm --sync archlinux-keyring
+
+cd $rundir
+makepkg -f --asroot --syncdeps --noconfirm